Description

I would like to be able to choose to display and sort on, custom fields in the list of issues/tickets. Custom filed can be filtered on but

not displayed in the list view.

NB: When customising/saving a filter/custom query, should consider whether it is reasonable/possible/suitable to highlight to the user

that if 'For all projects' check-box is selected, the custom field will not be displayed for other projects (except perhaps if a custom filed

of the same name is present?)

Associated revisions

Revision 2743 - 2009-05-13 19:32 - Jean-Philippe Lang

Ability to use any custom field as a cross-project custom query column (#3321).

History

#1 - 2009-05-09 00:56 - Mischa The Evil

James Robertson wrote:

I would like to be able to choose to display and sort on, custom fields in the list of issues/tickets. Custom filed can be filtered on but not displayed

in the list view.

 This is a bit more complicated to be precise. I'll explain...

Issue custom-fields can be configured (URL: http://host.tld/settings?tab=issues) to be shown on the issuelist too, but only if they are marked as "For

all projects". Then they'll become available to be added to the issuelist as a sortable-column (on all projects).

#2 - 2009-05-10 12:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Don't know which version you're using but this feature is implemented.

#3 - 2009-05-10 22:26 - James Robertson

- Status changed from Closed to Reopened

Thanks for the feedback Mischa and Jean-Phillippe. We are using v0.8.0.stable. I do not accept this ticket as Invalid.

I was not aware of the ability to add a custom issue field as a filter column, if the custom field is set to 'For all projects'. However, what I am asking for

[maybe not clear] is for the ability to add a custom field as a filter column, without it having to be set 'For all projects'. (Hence my note regarding the

possible behaviour if the saved filter is set to 'For all projects'.)

We run about 30 projects, some in active development and some in support, across several different development teams and each with a different

client. The issue tracking requirements is unique in some way for almost every project. This is why it would be useful for us to have this ability for

custom fields that are not marked as 'For all projects'.

Many thanks for your patience. I hope you can see that my feature request differs from the existing functionality and is therefore not invalid. [You may

of course determine that it is not sufficiently useful to implement anyway. :-]

#4 - 2009-05-13 19:23 - Jean-Philippe Lang

When creating a custom query for a particular project, you can use custom fields of this project even if they are not set as 'For all project'.
And now (after r2743), you can use any custom field when creating a cross-project custom query.

Hope it helps.

#5 - 2009-05-17 22:33 - Mischa The Evil

- Category changed from Issues to Documentation

- Assignee set to Mischa The Evil

- Resolution deleted (Invalid)

Jean-Philippe Lang wrote:

When creating a custom query for a particular project, you can use custom fields of this project even if they are not set as 'For all project'.

 Thanks for this clarification... I wasn't talking about custom queries in journal 1. I must admit I regularly forget them completely, partly due to the

issues I've mentioned before in issue #2679, journal 27. I still have to open that new issue I've mentioned there... :-( Will do soon...

Jean-Philippe Lang wrote:

And now (after r2743), you can use any custom field when creating a cross-project custom query.

 Great... Now (considering the custom query feature) I think you've completely implemented the need for issue custom field colums in the issuelists...

Great job! I'll soon update the wiki to document the behaviour of this all... It's really lacking there atm...

建 李 Robertson:

However, what I am asking for [maybe not clear] is for the ability to add a custom field as a filter column, without it having to be set 'For all

projects'. (Hence my note regarding the possible behaviour if the saved filter is set to 'For all projects'.)

 Can you confirm if the above described things fits your needs now?

Kind regards,

Mischa.

#6 - 2009-06-09 05:30 - James Robertson

Hi Jean-Philippe and Mischa.

Thanks for your responses and work. Sorry for my slow response (very busy).

We're upgrading to 0.8.4 this weekend, so I should be able to confirm the feature is what I wanted after that.

Many thanks :-)

James

#7 - 2009-06-10 05:30 - Mischa The Evil

James Robertson wrote:

We're upgrading to 0.8.4 this weekend, so I should be able to confirm the feature is what I wanted after that.

 0.8.4 doesn't contain the change Jean-Philippe Lang made in r2743. That is (I guess) scheduled for release 0.9.0 of the Redmine project.

Regards,

Mischa.

#8 - 2009-06-10 05:41 - James Robertson

Thanks Mischa. Actually, turns out our Redmine admin was planning on installing the head/edge revision.

Anyway, I'll confirm this fix, when I am able.

#9 - 2009-06-29 05:34 - James Robertson

Works great. Happy to close. Thanks guys :-)

The filtering options (group, sort and custom fields) are now really powerful/useful.
#10 - 2009-06-29 20:01 - Mischa The Evil

- Status changed from Reopened to Resolved

James,

Thanks for your feedback. I'll now need to document this whole feature in more detail... ;)

Kind regards,

Mischa.

#11 - 2010-08-05 22:08 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Fixed

Closing as this is implemented, Mischa, please open a new ticket if you need it to remember yourself to write documentation :-)
